Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1420803 - Crash when comparing packages with --redundant and --suppressions options
Summary: Crash when comparing packages with --redundant and --suppressions options
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: libabigail
Version: 24
Hardware: Unspecified
OS: Unspecified
low
urgent
Target Milestone: ---
Assignee: Dodji Seketeli
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-09 14:33 UTC by Hubert Kario
Modified: 2017-08-08 19:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 19:38:51 UTC
Type: Bug


Attachments (Terms of Use)
suppressions file used (456 bytes, text/plain)
2017-02-09 14:33 UTC, Hubert Kario
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Sourceware 21201 0 None None None 2017-02-27 11:53:59 UTC

Description Hubert Kario 2017-02-09 14:33:23 UTC
Created attachment 1248820 [details]
suppressions file used

Description of problem:
When comparing gnutls packages, abipkgdiff crashes when the command line includes --redundant and --suppressions switch

Version-Release number of selected component (if applicable):
libabigail-1.0-0.8.rc6.4.fc24.x86_64

How reproducible:
Always

Steps to Reproduce:
1. abipkgdiff --redundant --suppressions ~/rhel-tests/gnutls/libabigail-suppressions --d1 gnutls-debuginfo-2.8.5-19.el6_7.x86_64.rpm --d2 gnutls-debuginfo-2.12.23-19.el6.x86_64.rpm gnutls-2.8.5-19.el6_7.x86_64.rpm gnutls-2.12.23-19.el6.x86_64.rpm

Actual results:
abipkgdiff: abg-comparison.cc:8332: virtual void abigail::comparison::fn_parm_diff::report(std::ostream&, const string&) const: Assertion `get_type_diff() && get_type_diff()->to_be_reported()' failed.
Aborted (core dumped)

Expected results:
report printed

Additional info:
==31692== Process terminating with default action of signal 6 (SIGABRT): dumping core
==31692==    at 0x659B765: raise (raise.c:54)
==31692==    by 0x659D369: abort (abort.c:89)
==31692==    by 0x6593F96: __assert_fail_base (assert.c:92)
==31692==    by 0x6594041: __assert_fail (assert.c:101)
==31692==    by 0x4F5D9B6: abigail::comparison::fn_parm_diff::report(std::ostream&, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const&) const (abg-comparison.cc:8332)
==31692==    by 0x4F69C84: abigail::comparison::function_type_diff::report(std::ostream&, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const&) const (abg-comparison.cc:8708)
==31692==    by 0x4F6BE00: abigail::comparison::function_decl_diff::report(std::ostream&, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const&) const (abg-comparison.cc:9282)
==31692==    by 0x4F8B8C0: abigail::comparison::corpus_diff::report(std::ostream&, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const&) const (abg-comparison.cc:12388)
==31692==    by 0x112B08: pthread_routine_compare(std::vector<std::tr1::shared_ptr<compare_args>, std::allocator<std::tr1::shared_ptr<compare_args> > >*) (abipkgdiff.cc:1239)
==31692==    by 0x63525C9: start_thread (pthread_create.c:333)
==31692==    by 0x666A0EC: clone (clone.S:109)



[Thread 0x7fffeffff700 (LWP 31764) exited]
abipkgdiff: abg-comparison.cc:8332: virtual void abigail::comparison::fn_parm_diff::report(std::ostream&, const string&) const: Assertion `get_type_diff() && get_type_diff()->to_be_reported()' failed.

Thread 10 "abipkgdiff" received signal SIGABRT, Aborted.
[Switching to Thread 0x7ffff5a97700 (LWP 31765)]
0x00007ffff631c765 in __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:54
54        return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
(gdb) bt
#0  0x00007ffff631c765 in __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:54
#1  0x00007ffff631e36a in __GI_abort () at abort.c:89
#2  0x00007ffff6314f97 in __assert_fail_base (fmt=<optimized out>, 
    assertion=assertion@entry=0x7ffff7b68898 "get_type_diff() && get_type_diff()->to_be_reported()", 
    file=file@entry=0x7ffff7b6799c "abg-comparison.cc", line=line@entry=8332, 
    function=function@entry=0x7ffff7b6a9c0 <abigail::comparison::fn_parm_diff::report(std::ostream&, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const&) const::__PRETTY_FUNCTION__> "virtual void abigail::comparison::fn_parm_diff::report(std::ostream&, const string&) const") at assert.c:92
#3  0x00007ffff6315042 in __GI___assert_fail (
    assertion=assertion@entry=0x7ffff7b68898 "get_type_diff() && get_type_diff()->to_be_reported()", 
    file=file@entry=0x7ffff7b6799c "abg-comparison.cc", line=line@entry=8332, 
    function=function@entry=0x7ffff7b6a9c0 <abigail::comparison::fn_parm_diff::report(std::ostream&, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const&) const::__PRETTY_FUNCTION__> "virtual void abigail::comparison::fn_parm_diff::report(std::ostream&, const string&) const") at assert.c:101
#4  0x00007ffff7a5d9b7 in abigail::comparison::fn_parm_diff::report (this=0x7ffff0277e50, out=..., indent="      ")
    at abg-comparison.cc:8332
#5  0x00007ffff7a69c85 in abigail::comparison::function_type_diff::report (this=0x7ffff0277de0, out=..., indent="      ")
    at abg-comparison.cc:8708
#6  0x00007ffff7a6be01 in abigail::comparison::function_decl_diff::report (this=this@entry=0x7ffff013afe0, out=..., 
    indent="      ") at abg-comparison.cc:9282
#7  0x00007ffff7a8b8c1 in abigail::comparison::corpus_diff::report (this=0x7ffff0023130, out=..., indent="  ")
    at abg-comparison.cc:12388
#8  0x000055555555eb09 in pthread_routine_compare (args=0x7fffffffd340) at abipkgdiff.cc:1239
#9  0x00007ffff66b15ca in start_thread (arg=0x7ffff5a97700) at pthread_create.c:333
#10 0x00007ffff63eb0ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Comment 1 Dodji Seketeli 2017-02-27 11:53:59 UTC
This bug was reported to the upstream bug tracker at https://sourceware.org/bugzilla/show_bug.cgi?id=21201.

Comment 2 Fedora End Of Life 2017-07-26 00:15:27 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-08-08 19:38:51 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.